import type { ExtensionPropsBase } from './base';
import type { AppInstallation } from './type-helpers/appInstallation';
declare type UpdateInstallation = (arg: Partial<Pick<AppInstallation, 'config' | 'status'>>) => Promise<AppInstallation>;
export interface AppProps extends ExtensionPropsBase {
    updateInstallation: UpdateInstallation;
    installation: AppInstallation;
}
export {};
